Skip to main content
GET
/
v1
/
statement
Extrato da conta
curl --request GET \
  --url https://stater.stric.io/v1/statement \
  --header 'Authorization: Bearer <token>'
{
  "movements": [
    {
      "movementId": "<string>",
      "movement": {
        "type": "CREDIT",
        "status": "<string>",
        "source": "PIX_IN",
        "description": "<string>",
        "externalRef": "<string>",
        "feeAmount": "<string>",
        "reversesMovementId": "<string>",
        "metadata": {},
        "createdAt": "2023-11-07T05:31:56Z"
      },
      "entries": [
        {
          "id": "<string>",
          "accountId": "<string>",
          "amount": "<string>",
          "balanceAfter": "<string>",
          "kind": "PRIMARY",
          "createdAt": "2023-11-07T05:31:56Z"
        }
      ]
    }
  ],
  "nextCursor": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.stric.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key da plataforma. Envie no header Authorization: Bearer <key>.

Headers

X-Pix-Account-Id
string

Id da conta Pix sobre a qual a operação atua. Obrigatório quando sua API key não está vinculada a uma conta específica.

Required string length: 10 - 40

Query Parameters

from
string
Pattern: ^\d{4}-\d{2}-\d{2}$
to
string
Pattern: ^\d{4}-\d{2}-\d{2}$
type
string
Minimum string length: 1
source
string
Minimum string length: 1
cursor
string
limit
integer
Required range: 1 <= x <= 200

Response

OK

movements
object[]
required
nextCursor
string | null
required